package com.bonus.canteen.core.supply.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.BorderStyleEnum;
import com.bonus.canteen.core.supply.constant.DrpInquiryStatusEnum;
import com.bonus.canteen.core.supply.constant.DrpUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel
@ContentStyle(
   borderLeft = BorderStyleEnum.THIN,
   borderBottom = BorderStyleEnum.THIN,
   borderRight = BorderStyleEnum.THIN,
   borderTop = BorderStyleEnum.THIN
)
public class DrpExcelFinalBidsVO implements Serializable {
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("询价标题")
   private String title;
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("决标时间")
   private String bidTime;
   @ApiModelProperty("要求到货时间")
   private String requestArrivalTime;
   @ApiModelProperty("联系人")
   private String linkMan;
   @ApiModelProperty("联系电话")
   private String phone;
   @ApiModelProperty("决标状态(1-已报价,2-未报价,3-已中标,4-未中标) -已转换")
   private String bidStatus;
   @ApiModelProperty("决标状态 -未转换")
   private Integer neBidStatus;
   @ApiModelProperty("收货地址")
   private String address;
   @ApiModelProperty("询价备注")
   private String inquiryNotes;
   @ApiModelProperty("中标供应商")
   private String supplierName;
   @ApiModelProperty("决标总价-未转换")
   private Integer neBidTotalPrice;
   @ApiModelProperty("决标总价")
   private BigDecimal bidTotalPrice;

   public String getBidStatus() {
      return DrpInquiryStatusEnum.getValue(this.neBidStatus);
   }

   public BigDecimal getBidTotalPrice() {
      return DrpUtil.priceDevice100(this.neBidTotalPrice);
   }

   public String getInquiryId() {
      return this.inquiryId;
   }

   public String getTitle() {
      return this.title;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public String getBidTime() {
      return this.bidTime;
   }

   public String getRequestArrivalTime() {
      return this.requestArrivalTime;
   }

   public String getLinkMan() {
      return this.linkMan;
   }

   public String getPhone() {
      return this.phone;
   }

   public Integer getNeBidStatus() {
      return this.neBidStatus;
   }

   public String getAddress() {
      return this.address;
   }

   public String getInquiryNotes() {
      return this.inquiryNotes;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Integer getNeBidTotalPrice() {
      return this.neBidTotalPrice;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setTitle(final String title) {
      this.title = title;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setBidTime(final String bidTime) {
      this.bidTime = bidTime;
   }

   public void setRequestArrivalTime(final String requestArrivalTime) {
      this.requestArrivalTime = requestArrivalTime;
   }

   public void setLinkMan(final String linkMan) {
      this.linkMan = linkMan;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setBidStatus(final String bidStatus) {
      this.bidStatus = bidStatus;
   }

   public void setNeBidStatus(final Integer neBidStatus) {
      this.neBidStatus = neBidStatus;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setInquiryNotes(final String inquiryNotes) {
      this.inquiryNotes = inquiryNotes;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setNeBidTotalPrice(final Integer neBidTotalPrice) {
      this.neBidTotalPrice = neBidTotalPrice;
   }

   public void setBidTotalPrice(final BigDecimal bidTotalPrice) {
      this.bidTotalPrice = bidTotalPrice;
   }


   public String toString() {
      String var10000 = this.getInquiryId();
      return "DrpExcelFinalBidsVO(inquiryId=" + var10000 + ", title=" + this.getTitle() + ", warehouseName=" + this.getWarehouseName() + ", bidTime=" + this.getBidTime() + ", requestArrivalTime=" + this.getRequestArrivalTime() + ", linkMan=" + this.getLinkMan() + ", phone=" + this.getPhone() + ", bidStatus=" + this.getBidStatus() + ", neBidStatus=" + this.getNeBidStatus() + ", address=" + this.getAddress() + ", inquiryNotes=" + this.getInquiryNotes() + ", supplierName=" + this.getSupplierName() + ", neBidTotalPrice=" + this.getNeBidTotalPrice() + ", bidTotalPrice=" + String.valueOf(this.getBidTotalPrice()) + ")";
   }
}
